apiVersion: v1
kind: Pod
metadata:
  name: test-hostpath
spec:
  containers:
    - name: test-hostpath
      securityContext:
        runAsUser: 1000
      command:
        - /bin/sh
      image: alpine:latest
      stdin: true
      tty: true
      volumeMounts:
        - mountPath: /mounted
          name: test-volume
  volumes:
    - name: test-volume
      hostPath:
        path: PWD
        type: Directory